### Method

# Adw Flap set_transition_type

#### Declaration [src]

    void
    adw_flap_set_transition_type (
      AdwFlap* self,
      AdwFlapTransitionType transition_type
    )

#### Description [src]

Sets the type of animation used for reveal and fold transitions in `self`.

Available since: | 1.0

Sets property | `Adw.Flap:transition-type`

#### Parameters

`transition_type` | `AdwFlapTransitionType`
| The new transition type.